package com.example.threadexamplewrong.app;

import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.CompoundButton;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.ToggleButton;


public class MainActivity extends ActionBarActivity implements CompoundButton.OnCheckedChangeListener {
    private ToggleButton button;
    private TextView text;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        button=(ToggleButton)findViewById(R.id.toggleButton);
        text=(TextView)findViewById(R.id.textView2);
        button.setOnCheckedChangeListener(this);

    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.action_settings) {
            return true;
        }
        return super.onOptionsItemSelected(item);
    }

    @Override
    public void onCheckedChanged(CompoundButton compoundButton, boolean b) {
        if (compoundButton.isChecked()) {
            EditText etext = (EditText) findViewById(R.id.editText);
           /* int time = Integer.parseInt(etext.getText().toString());
            while (time > 0) {
                try {
                    Thread.sleep(1000);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }

                time--;
                text.setText("Current time: "+time);
            }*/
            DelayThread dt=new DelayThread();
            dt.start();
        }
    }




    private class DelayThread extends Thread {

        public DelayThread() {

        }

        public void run() {
            EditText etext = (EditText) findViewById(R.id.editText);
            int time = Integer.parseInt(etext.getText().toString());
            while (time > 0) {
                try {
                    Thread.sleep(1000);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }

                time--;
                text.setText("Current time: "+time);
            }
        }

    }
}
